<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ 'Common.Homepage' | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>
        <a [routerLink]="['/army', army?.id]">{{ army?.name }}</a>
      </nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ 'Military.Army.Members' | translate }}</nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
</nz-page-header>

<nz-collapse>
  <nz-collapse-panel *ngFor="let role of roles" [nzHeader]="role.label" [nzActive]="true" nzShowArrow="false">
    <ul nz-list [nzDataSource]="role.members" nzBordered nzSize="small" nzNoResult="Empty" [nzLoading]="isLoading">
      <li nz-list-item *ngFor="let member of role.members" nzNoFlex>
        <ul nz-list-item-actions>
          <nz-list-item-action>
            <span *ngIf="role.key === 'member'">
              <nz-tag [nzColor]="'#87d068'" *ngIf="member.permissions.isCompanyManager === true">{{ 'Military.Army.companyManager' | translate }}</nz-tag>
              <nz-tag [nzColor]="'#87d068'" *ngIf="member.permissions.isNewspaperEditor === true">{{ 'Military.Army.newspaperManager' | translate }}</nz-tag>
              <button nz-button nzShape="round" nz-tooltip [nzTooltipTitle]="'Military.Army.removeFromArmy' | translate" nzType="secondary"
                (click)="deleteMember(member)">
                <i nz-icon nzType="delete" nzTheme="outline" style="color: red;"></i>
              </button>
            </span>
            <span *ngIf="role.key === 'recruit'">
              <nz-button-group>
                <button nz-button nzShape="round" nz-tooltip [nzTooltipTitle]="'Military.Army.acceptCandidate' | translate" nzType="secondary"
                  (click)="acceptCandidate(member)">
                  <i nz-icon nzType="check" nzTheme="outline" style="color: green;"></i>
                </button>
                <button nz-button  nzShape="round" nz-tooltip [nzTooltipTitle]="'Military.Army.rejectCandidate' | translate" nzType="secondary"
                  (click)="rejectCandidate(member)">
                  <i nz-icon nzType="delete" nzTheme="outline" style="color: red;"></i>
                </button>
              </nz-button-group>
            </span>
          </nz-list-item-action>
        </ul>
        <nz-avatar [nzIcon]="'user'" nzSize="32" [nzSrc]="member.citizen.avatar" nzShape="square"
          style="margin-right: 10px"></nz-avatar>
        <a [routerLink]="['/citizen', member.citizen.id]">{{ member.citizen.name }}</a>
      </li>
    </ul>
  </nz-collapse-panel>
</nz-collapse>